{
  "model": {
    "type": "select",
    "property": "custom_model_data",
    "fallback": {
      "type": "model",
      "model": "item/stone_shovel"
    },
    "cases": [
      {
        "when": "long",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/long"
        }
      },
      {
        "when": "cleaving",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/cleaving"
        }
      },
      {
        "when": "copperized",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/copperized"
        }
      },
      {
        "when": "chaining",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/chaining"
        }
      },
      {
        "when": "agile",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/agile"
        }
      },
      {
        "when": "cursed",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/cursed"
        }
      },
      {
        "when": "raging",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/raging"
        }
      },
      {
        "when": "smelter",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/smelter"
        }
      },
      {
        "when": "experienced",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/experienced"
        }
      },
      {
        "when": "efficient",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/efficient"
        }
      },
      {
        "when": "fortunate",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/fortunate"
        }
      },
      {
        "when": "prospector",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/prospector"
        }
      },
      {
        "when": "drilling",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/drilling"
        }
      },
      {
        "when": "energetic",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/energetic"
        }
      },
      {
        "when": "submersible",
        "model": {
          "type": "model",
          "model": "item/stone_shovel/submersible"
        }
      }
    ]
  }
}